Debian Bug report logs - #663632
transition: geos

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Julien Cristau <jcristau@debian.org>

Date: Mon, 12 Mar 2012 20:21:05 UTC

Owned by: frankie@debian.org

Severity: normal

Done: Mehdi Dogguy <mehdi@dogguy.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, frankie@debian.org, Debian Release Team <debian-release@lists.debian.org>, frankie@debian.org:
Bug#663632; Package release.debian.org. (Mon, 12 Mar 2012 20:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
New Bug report received and forwarded. Copy sent to frankie@debian.org, Debian Release Team <debian-release@lists.debian.org>, frankie@debian.org. (Mon, 12 Mar 2012 20:21:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: transition: geos
Date: Mon, 12 Mar 2012 21:19:34 +0100
[Message part 1 (text/plain, inline)]
Package: release.debian.org
Severity: normal
Owner: frankie@debian.org
User: release.debian.org@packages.debian.org
Usertags: transition

Looks like geos changed its SONAME, and in the process dropped -lgeos,
which reverse deps are unhappy with.

transition tracker:
http://release.debian.org/transitions/html/geos3.3.1.html

reverse deps:
- basemap FTBFS (#663403)
- osgearth looks ok
- player FTBFS (#662593)
- spatialite-gui FTBFS (no bug report found)
- osmium FTBFS (no bug report found)

Frankie, please file the missing bugs and be prepared to NMU the reverse
deps to get this sorted.

Thanks,
Julien
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 663632: 662593 and 663403 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 12 Mar 2012 20:24:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, frankie@debian.org:
Bug#663632; Package release.debian.org. (Mon, 12 Mar 2012 22:51:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to dapal@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, frankie@debian.org. (Mon, 12 Mar 2012 22:51:13 GMT) Full text and rfc822 format available.

Message #12 received at 663632@bugs.debian.org (full text, mbox):

From: David Paleino <dapal@debian.org>
To: 663632@bugs.debian.org
Subject: Re: transition: geos
Date: Mon, 12 Mar 2012 23:49:31 +0100
[Message part 1 (text/plain, inline)]
On Mon, 12 Mar 2012 21:19:34 +0100, Julien Cristau wrote:

> [..]
> - osmium FTBFS (no bug report found)

Fixed in git, a package will soon be uploaded.

http://anonscm.debian.org/gitweb/?p=pkg-osm/osmium.git;a=commitdiff;h=b79f5511de3c6a22dfa1e9cb1cf4f85886244dad

David

-- 
 . ''`.   Debian developer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://deb.li/dapal
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Added blocking bug(s) of 663632: 663646 Request was from "Francesco P. Lovergine" <frankie@debian.org> to control@bugs.debian.org. (Mon, 12 Mar 2012 23:06:02 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 12 Mar 2012 23:15:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, frankie@debian.org:
Bug#663632; Package release.debian.org. (Sat, 24 Mar 2012 21:27:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, frankie@debian.org. (Sat, 24 Mar 2012 21:27:10 GMT) Full text and rfc822 format available.

Message #21 received at 663632@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 663632@bugs.debian.org
Subject: Re: Bug#663632: transition: geos
Date: Sat, 24 Mar 2012 22:17:56 +0100
[Message part 1 (text/plain, inline)]
On Mon, Mar 12, 2012 at 21:19:34 +0100, Julien Cristau wrote:

> reverse deps:
> - basemap FTBFS (#663403)
> - osgearth looks ok
> - player FTBFS (#662593)
> - spatialite-gui FTBFS (no bug report found)
> - osmium FTBFS (no bug report found)
> 
player's still not fixed, I'll remove it from testing.
osmium given back on armel to see if doxygen likes it better the second
time.  basemap aged.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, frankie@debian.org:
Bug#663632; Package release.debian.org. (Sat, 24 Mar 2012 21:33:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, frankie@debian.org. (Sat, 24 Mar 2012 21:33:11 GMT) Full text and rfc822 format available.

Message #26 received at 663632@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: dapal@debian.org, 663632@bugs.debian.org
Subject: Re: Bug#663632: transition: geos
Date: Sat, 24 Mar 2012 22:12:31 +0100
[Message part 1 (text/plain, inline)]
On Mon, Mar 12, 2012 at 23:49:31 +0100, David Paleino wrote:

> On Mon, 12 Mar 2012 21:19:34 +0100, Julien Cristau wrote:
> 
> > [..]
> > - osmium FTBFS (no bug report found)
> 
> Fixed in git, a package will soon be uploaded.
> 
> http://anonscm.debian.org/gitweb/?p=pkg-osm/osmium.git;a=commitdiff;h=b79f5511de3c6a22dfa1e9cb1cf4f85886244dad
> 
FTBFS on armel while running doxygen, unfortunately.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, frankie@debian.org:
Bug#663632; Package release.debian.org. (Sat, 24 Mar 2012 21:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, frankie@debian.org. (Sat, 24 Mar 2012 21:39:08 GMT) Full text and rfc822 format available.

Message #31 received at 663632@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: Julien Cristau <jcristau@debian.org>, 663632@bugs.debian.org
Subject: Re: Bug#663632: transition: geos
Date: Sat, 24 Mar 2012 22:35:40 +0100
On Mon, Mar 12, 2012 at 21:19, Julien Cristau <jcristau@debian.org> wrote:
> - basemap FTBFS (#663403)

Fixed and built everywhere.

Regards,
-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Reply sent to Mehdi Dogguy <mehdi@dogguy.org>:
You have taken responsibility. (Wed, 04 Apr 2012 09:48:23 GMT) Full text and rfc822 format available.

Notification sent to Julien Cristau <jcristau@debian.org>:
Bug acknowledged by developer. (Wed, 04 Apr 2012 09:48:28 GMT) Full text and rfc822 format available.

Message #36 received at 663632-done@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Julien Cristau <jcristau@debian.org>, 663632-done@bugs.debian.org
Subject: Re: Bug#663632: transition: geos
Date: Wed, 04 Apr 2012 11:45:19 +0200
On 12/03/12 21:19, Julien Cristau wrote:
> Package: release.debian.org
> Severity: normal
> Owner: frankie@debian.org
> User: release.debian.org@packages.debian.org
> Usertags: transition
>
> Looks like geos changed its SONAME, and in the process dropped -lgeos,
> which reverse deps are unhappy with.
>
> transition tracker:
> http://release.debian.org/transitions/html/geos3.3.1.html
>

That's pretty much done with osmium's removal… closing.

-- 
Mehdi




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 03 May 2012 07:36:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 14:43:08 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.